 #include <stdio.h>
 #include <winsock.h>
 #include <string.h>
 #include <windows.h>
  
 int main(int argc, char *argv[])
 {





 SOCKET clientsocket;
 SOCKADDR_IN addr;
  
 char s_messaggio[80];
 char r_messaggio[80];
 short port;
 char server_addr[20];
  
 WORD wVersionRequested = MAKEWORD(2,2);
 WSADATA wsaData;
 WSAStartup(wVersionRequested, &wsaData);
  
 port = 4000;
 int buff_len=512;
 int n_char_recv;
 
 if (argc == 2) sprintf(server_addr,argv[1]);
 else sprintf(server_addr,"127.0.0.1");

 printf("Trying connection to server %s\n",server_addr);
  
 addr.sin_family = AF_INET;
 addr.sin_addr.s_addr = inet_addr(server_addr);
 addr.sin_port = htons(port);

 clientsocket = socket(AF_INET, SOCK_STREAM, IPPROTO_TCP);
 if (connect(clientsocket, (LPSOCKADDR)&addr, sizeof(addr)) < 0)
 printf("Errore nella connessione con il Server");
 
 while (strcmp(s_messaggio, "exit"))
 {
	printf("Enter Command: ");
	gets(s_messaggio);
	send(clientsocket,s_messaggio,sizeof(s_messaggio),0);
	n_char_recv=recv(clientsocket,r_messaggio,sizeof(r_messaggio),0);
	r_messaggio[n_char_recv]='\0';

	printf("Received from DBBC: %s\n",r_messaggio);
 }
  
 send(clientsocket,"exit",4,0);
 WSACleanup();
 //system("pause");
 return 0;
 }